Name: bison
Version: 2.4.3
Release: alt3

Summary: A GNU general-purpose parser generator
License: GPLv3+
Group: Development/Other
Url: http://www.gnu.org/software/bison/

# ftp://ftp.gnu.org/gnu/bison/bison-%version.tar.bz2
Source: bison-%version.tar

BuildRequires: flex, gcc-c++

Requires: m4 >= 0:1.4
Requires: %name-runtime = %version-%release
Provides: byacc = %version-%release
Obsoletes: byacc

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR(1) context-free grammar into a C program to
parse that grammar.  Bison can be used to develop a wide range of
language parsers, from ones used in simple desk calculators to complex
programming languages.  Bison is upwardly compatible with Yacc, so any
correctly written Yacc grammar should work with Bison without any changes.
If you know Yacc, you shouldn't have any trouble using Bison.  You do need
to be very proficient in C programming to be able to program with Bison.
Many programs use Bison as part of their build process.  Bison is only
needed on systems that are used for development.

%package runtime
Summary: Runtime support files used by Bison-generated parsers
Group: Development/C
BuildArch: noarch

%description runtime
This package contains files used at runtime by parsers that Bison
generates.  Packages whose binaries contain parsers generated by Bison
should depend on bison-runtime to ensure that these files are available.
See the Internationalization in the Bison manual section for more
information.

%prep
%setup
bzip2 -9k NEWS

%build
%configure
touch src/scan-????.l
%make_build

%install
%makeinstall_std

%find_lang %name
%find_lang %name-runtime

%check
%make_build -k check

%files -f %name.lang
%doc AUTHORS NEWS.bz2 README THANKS
%_bindir/*
%_libdir/lib*.a
%_datadir/bison/
%_datadir/aclocal/*
%_mandir/man?/*
%_infodir/*.info*

%files -f %name-runtime.lang runtime

%changelog
* Mon Feb 07 2011 Dmitry V. Levin <ldv@altlinux.org> 2.4.3-alt3
- Minor specfile cleanup.

* Fri Aug 20 2010 Dmitry V. Levin <ldv@altlinux.org> 2.4.3-alt2
- Made bison-runtime a noarch subpackage.

* Thu Aug 19 2010 Dmitry V. Levin <ldv@altlinux.org> 2.4.3-alt1
- Updated to 2.4.3.

* Wed Sep 09 2009 Dmitry V. Levin <ldv@altlinux.org> 2.4.1-alt2
- Moved "make check" to %%check section.

* Sun Jun 07 2009 Dmitry V. Levin <ldv@altlinux.org> 2.4.1-alt1
- Updated to 2.4.1.
- Removed obsolete %%install_info/%%uninstall_info calls.

* Sat Apr 14 2007 Dmitry V. Levin <ldv@altlinux.org> 2.3-alt2
- Reduced macro abuse in specfile.

* Mon Jun 12 2006 Dmitry V. Levin <ldv@altlinux.org> 2.3-alt1
- Updated to 2.3.

* Sat Oct 22 2005 Dmitry V. Levin <ldv@altlinux.org> 2.1-alt2
- New subpackage bison-runtime for i18n support files used by parsers.
- Additional specfile convention enforcement.

* Fri Oct 14 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.1-alt1
- 2.1

* Wed Jan 12 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt1
- 2.0

* Thu Jun 17 2004 Alexey Voinov <voins@altlinux.ru> 1.875-alt5
- fixed previous fix

* Thu Jun 10 2004 Alexey Voinov <voins@altlinux.ru> 1.875-alt4
- segfault fixed [ #3955 ]

* Thu Oct 16 2003 Dmitry V. Levin <ldv@altlinux.org> 1.875-alt3
- Replaced alt-no-unused patch with rh-unusedlabel patch.
- Updated package dependencies.
- Updated package description.

* Tue Apr 01 2003 Stanislav Ievlev <inger@altlinux.ru> 1.875-alt2
- unused declarations was in wrong places, remove it

* Wed Mar 26 2003 Stanislav Ievlev <inger@altlinux.ru> 1.875-alt1
- 1.875

* Wed Oct 30 2002 Dmitry V. Levin <ldv@altlinux.org> 1.35-alt2
- Rebuilt in new environment.

* Fri Mar 29 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.35-alt1
- 1.35

* Thu Mar 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.34-alt1
- 1.34

* Thu Feb 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.33-alt1
- 1.33

* Mon Feb 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.32-alt1
- 1.32

* Wed Jan 23 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.31-alt2
- Fixed handling of ".yacc" extensions.

* Fri Jan 18 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.31-alt1
- 1.31

* Tue Nov 27 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.30-alt2
- Applied bison-1.30-rh-free.patch

* Mon Nov 05 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.30-alt1
- 1.30

* Thu Oct 25 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.29-alt1
- 1.29

* Tue Jan 16 2001 Dmitry V. Levin <ldv@fandra.org> 1.28-ipl8mdk
- Create tmpfiles in more secure way.

* Wed Nov 15 2000 Dmitry V. Levin <ldv@fandra.org> 1.28-ipl7mdk
- Fixed texinfo documentation.

* Wed Aug  2 2000 Dmitry V. Levin <ldv@fandra.org> 1.28-ipl6mdk
- RE adaptions.

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com> 1.28-4mdk
- spec-helper
- group update

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root

* Wed Jul 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- version 1.28 :

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bziped info files.
- Handle RPM_OPT_FLAGS

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- configure with datadir=/usr/lib (#1386).

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 1.27

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- built for Manhattan
- added build root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
